POST
/v1/mgmt/tenant/update

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

id?string
name?string
selfProvisioningDomains?array<string>
string
customAttributes?object

Custom attributes as key-value pairs. Keys must be strings; values can be strings, numbers, booleans, or arrays.

Example{ "attribute-key": "attribute-value" }
authType?string

deprecated - authType should be set via ConfigureTenantSettings

disabled?boolean
enforceSSO?boolean
enforceSSOExclusions?array<string>
string
federatedAppIds?array<string>
string
roleInheritance?string

Update a tenant, using a valid management key.

This API endpoint will update a tenant utilizing a valid management key. Utilizing this API endpoint will allow you to update the name or selfProvisioningDomains settings of the tenant.

Next Steps

See also

curl -X POST "https://api.descope.com/v1/mgmt/tenant/update" \  -H "Content-Type: application/json" \  -d '{}'
Was this helpful?